using System;
using System.Threading;
class SleepTest
{
    static void SayHello()
    {
        Console.WriteLine("Hello, ");
        Thread.Sleep(10000); 
        Console.WriteLine("World");
        Console.ReadLine();
    }
    static void Main(string[] args)
    {
        Thread thread1 = new Thread(new ThreadStart(SayHello));
        thread1.Start();
    }     
}
